import axios from "axios";

// helper functions for fetching, deleting and initializing gameruns

export async function fetchGameruns() {
  return await axios.get("http://localhost:8000/api/gameruns/").then((res) => {
    return res.data;
  });
}
export async function fetchGamerunById(gamerunID) {
  return await axios
    .get("http://localhost:8000/api/gameruns/" + gamerunID)
    .then((res) => {
      return res.data;
    });
}

export async function deleteGamerun(gamerun_id) {
  return await axios.delete("http://localhost:8000/api/gameruns/" + gamerun_id);
}

export async function initGamerun(username) {
  return await axios.post("http://localhost:8000/init/", {
    username: username,
  });
}

/** fetch emails of current gamerun with statistics:
 *  average_correctness,
 *  average_duration,
 *  players_duration - answer duration of current player,
 *  answer - player answer (true = phishing, false = legitimate)
 */
export async function fetchCurrentGamerunSummary() {
  return await axios.get("http://localhost:8000/summary/").then((summary) => {
    return summary.data;
  });
}

export async function postAnswer(answer) {
  return await axios.post("http://localhost:8000/answer/", { answer: answer });
}
