import * as React from "react";
import { useEffect, useState } from "react";
import Box from "@mui/material/Box";
import Typography from "@mui/material/Typography";
import Grid from "@mui/material/Grid";
import axios from "axios";
import EmailTable from "../../components/tables/EmailTable";
import { fetchGamerunById } from "../../helpers/gameruns";

// Page where gamerun info is displayed,
// admin can also remove emails
function SettingsGamerunInfo({ match }) {
  // gamerun info
  const [data, setData] = useState({
    id: 0,
    player_name: "",
    start_time: "",
    end_time: "",
  });

  const gamerunId = match.params.id;

  // on page mount fetch gamerun info
  useEffect(() => {
    fetchGamerunById(gamerunId).then((gamerun) => setData(gamerun));
  }, [gamerunId]);

  return (
    <Box sx={{ mt: 4 }}>
      <Grid container direction="column" spacing={2}>
        {
          // map info into row, for example Gamerun ID: 1
          ["Gamerun ID", "Player name", "Start time", "End time"].map(
            (key, index) => (
              <Grid item container spacing={1} key={index}>
                <Grid item xs={3} sm={2}>
                  <Typography
                    sx={{
                      textAlign: "right",
                      overflowWrap: "break-word",
                    }}
                  >
                    {key}:
                  </Typography>
                </Grid>
                <Grid item xs={9} sm={10}>
                  <Typography
                    sx={{
                      overflowWrap: "break-word",
                    }}
                  >
                    {Object.values(data)[index]}
                  </Typography>
                </Grid>
              </Grid>
            )
          )
        }
      </Grid>
      {/* EmailTable of gamerun */}
      <EmailTable gamerunID={gamerunId} />
    </Box>
  );
}

export default SettingsGamerunInfo;
